package blanco.plugin.strutsee.wizards;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

public class BlancoStrutsEEWizardPage2 extends WizardPage {

    private ISelection selection;

    public BlancoStrutsEEWizardPage2(ISelection selection) {
        super("wizardPage");
        setTitle("blancoStruts Enterprise Edition の紹介");
        this.selection = selection;
    }

    public void createControl(Composite parent) {
        GridLayout gridLayout = new GridLayout();
        gridLayout.numColumns = 1;

        Composite container = new Composite(parent, SWT.NULL);
        container.setLayout(gridLayout);

        new Label(container, SWT.NONE)
                .setText("blancoStruts Enterprise Edition は下記のようなツールです。");
        new Label(container, SWT.NONE)
                .setText("  1.Jakarta Struts関連のJavaソースコードの自動作成ツール");
        new Label(container, SWT.NONE)
                .setText("    Strutsを用いて開発していく上で必要となるActionとFormのJavaクラスを自動生成します。");
        new Label(container, SWT.NONE)
                .setText("    抽象Actionクラスの強制力により、Struts関連のコーディングを自然に標準化することができます。");
        new Label(container, SWT.NONE)
                .setText("    実行時に特定のライブラリ(*.jar)ファイルを必要としません。");
        new Label(container, SWT.NONE).setText("  2.ドキュメント指向");
        new Label(container, SWT.NONE)
                .setText("    ドキュメント指向であるため、ドキュメントとプロパティファイルおよびソースコードとの同期を自然に実現することが出来ます。");
        new Label(container, SWT.NONE)
                .setText("    画面の入力チェック内容の変更などはドキュメントの修正とソースコードの再生成によって確実に実現することが出来ます。");

        setControl(container);
    }
}